Вопрос по facebook, facebook-c#-sdk, nuget, windows-store-apps – Ошибка при установке пакета NuGet «Facebook 6.1.2» для приложения Windows 8

2

При попытке установить Facebook 6.1.2 NuGet в мое приложение для Windows 8 я получаю следующее сообщение:

PM> Install-Package Facebook
Successfully installed 'Facebook 6.1.2'.
Successfully uninstalled 'Facebook 6.1.2'.
Install failed. Rolling back...
Install-Package : Could not install package 'Facebook 6.1.2'. You are trying to install
this package into a project that targets '.NETCore,Version=v4.5', but the package does not
contain any assembly references that are compatible with that framework. For more
information, contact the package author.

Есть ли способ исправить эту проблему?

Ваш Ответ

2   ответа
0

Возможно, что пакет Facebook 6.1.2 не предназначен для версии 4.5 .Net Framework.

Попробуйте настроить версию 4.0 на васпроект приложения Windows 8.

Когда я захожу в свойствах, выпадающий список для изменения версии .Net становится серым и пустым. Tom Batsford
4

https://github.com/facebook-csharp-sdk/facebook-csharp-sdk/issues/199

TLDR;

Теперь мы храним файл facebook.dll для приложений Win Store вwin8 папка, а неwinRT45 который понимает только nuget 2.1+. Поэтому убедитесь, что ваш менеджер пакетов nuget обновлен.

Отлично, обновил мой нюгет и все заработало с первого раза. Спасибо за быстрый ответ. Tom Batsford

Похожие вопросы